CodeIgniter Forums

Full Version: Upgrade 4.0.0-rc.3 to latest version
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Hello,

I would like to update my CI4 installation from release candidate 3 (v4.0.0-rc.3) to the latest version, 4.0.3.

So I download the archive from the official website and simply replace the /system folder as indicated in the documentation (https://www.codeigniter.com/user_guide/i...#upgrading).

But, my project doesn't work anymore and tells me the following error:

Code:
Trying to get property 'maxDepth' of non-object
From SYSTEMPATH/CodeIgniter.php at line 234

Is there an additional operation to perform?

I searched on the forum and searched in the release changelogs but I didn't find anything ...
A lot of files in app/Config were also changed, not just the system directory. Looks like this has something to do with Kint. There should be a Kint.php file in app/Config.
(06-29-2020, 09:00 AM)donpwinston Wrote: [ -> ]A lot of files in app/Config were also changed, not just the system directory. Looks like this has something to do with Kint. There should be a Kint.php file in app/Config.

Ok great, I overwrote the system folder and app/Config and it works!
Thanks a lot!